## grendel.widgets
Interface ColumnModelListener

All Known Implementing Classes:
  ColumnHeader

public abstract interface ColumnModelListener
extends java.util.EventListener

Method Summary
`void` | `columnAdded(ColumnModelEvent e)`
`void` | `columnMarginChanged(javax.swing.event.ChangeEvent e)`
`void` | `columnMoved(ColumnModelEvent e)`
`void` | `columnRemoved(ColumnModelEvent e)`
`void` | `columnSelectionChanged(javax.swing.event.ChangeEvent e)`
`void` | `columnWidthChanged(ColumnModelEvent e)`

Method Detail

### columnAdded

    public void columnAdded(ColumnModelEvent e)

### columnRemoved

    public void columnRemoved(ColumnModelEvent e)

### columnMoved

    public void columnMoved(ColumnModelEvent e)

### columnMarginChanged

    public void columnMarginChanged(javax.swing.event.ChangeEvent e)

### columnWidthChanged

    public void columnWidthChanged(ColumnModelEvent e)

### columnSelectionChanged

    public void columnSelectionChanged(javax.swing.event.ChangeEvent e)